IntelliJ IDEA 2017.3.1 发布,少量 bug 修复

来源: 投稿
作者: 淡漠悠然
2017-12-13

IntelliJ IDEA 2017.3.1 已发布,该版本主要是修复了 bug,具体如下:

Groovy Bug IDEA-183247 Intellisence does not work in Groovy code
JavaScript. Frameworks Bug WEB-30155 Freezes when switching git branches
  • Groovy - 智能感知功能在 Groovy 代码中不起作用 IDEA-183247

  • JavaScript. Frameworks - 在切换 git 分支时会出现冻结的情况 WEB-30155

详情请点此查看

下载地址:https://www.jetbrains.com/idea/download/

展开阅读全文
3 收藏
分享
加载中
精彩评论
ideaIU-2017.3.1.exe是坏包...一直NSIS错误...sha256也对不上...
2017-12-15 10:25
1
举报
智能感知功能在 Groovy 代码中不起作用 这个太重要了!!!
2017-12-13 19:33
1
举报
最新评论 (23)
新版巨卡,bug飞起
2017-12-16 21:00
0
回复
举报

引用来自“mojie126”的评论

ideaIU-2017.3.1.exe是坏包...一直NSIS错误...sha256也对不上...

引用来自“淡茗”的评论

我也遇到一样的情况
重新下一遍,我14.10刚下好,sha256对上了...
2017-12-15 14:11
0
回复
举报

引用来自“mojie126”的评论

ideaIU-2017.3.1.exe是坏包...一直NSIS错误...sha256也对不上...
我也遇到一样的情况
2017-12-15 13:15
0
回复
举报
ideaIU-2017.3.1.exe是坏包...一直NSIS错误...sha256也对不上...
2017-12-15 10:25
1
回复
举报
解决输入法的问题了吗?
2017-12-15 08:14
0
回复
举报

引用来自“RiggZh”的评论

Toolbox检测不到 惊了

引用来自“进军”的评论

toolbox 一般晚一天
确实 今早更了
2017-12-14 09:53
0
回复
举报

引用来自“Oh_My_Zsh”的评论

请问一下老司机们,就是现在 idea 现在还有个 bug ,就是使用 springboot 的时候, 如果是打包成 war 包部署,在gradle 里面将 tomcat 设置成 providedCompile('org.springframework.boot:spring-boot-starter-tomcat'), 这样会造成本地无法运行项目,据说是说 idea 无法将 provided 标识过的依赖编译到 classpath,导致找不到tomcat 依赖,但是一样的配置,在 eclipse 里面确实妥妥的,很蛋疼。。。不知道什么时候可以修复。如下链接http://blog.csdn.net/linjpg/article/details/73733892
自己写个gradle方法,在打包的时候,把tomcat相关的过滤掉就可以了,不用providedCompile,
def warExclude(file) {
def excludes = ["tomcat"]
def result = false;
excludes.each { name ->
result = result || file.name.contains(name)
}
return !result
}
2017-12-14 08:42
0
回复
举报

引用来自“RiggZh”的评论

Toolbox检测不到 惊了
toolbox 一般晚一天
2017-12-14 08:40
0
回复
举报
leh
坚决不升级,没有注册码
2017-12-13 23:54
0
回复
举报
前天刚升级到2017.3版本
2017-12-13 20:21
0
回复
举报
更多评论
24 评论
3 收藏
分享
返回顶部
顶部